Jump to content
stateless

Cant install siren

Recommended Posts

I just reinstalled GTA V and the only mod I have in my directory is lspdfr. I know openiv had an issue yesterday where installing skins did not work. I was wondering if anyone can install a siren. Everytime I try to import the oac file it says: 

Some files not imported, more information below.

vehicles.oac(Line 1): Not supported format version, actual: "10" but expected "11".

Can anyone else confirm it is happening to you also? 

 

Share this post


Link to post
Share on other sites

I too am stuck on the vehicles.oac(Line 1): Not supported format version, actual: "10" but expected "11". message when attempting to complete an Import OpenFormats.  What must occur in order for me to install siren packs such as http://www.lcpdfr.com/files/file/7798-gta-5-realistic-american-sirens-new-fbi-and-granger-sirens/ successfully?

 

Share this post


Link to post
Share on other sites

Of course you can't. The OAC format was changed. So, you can't import OLD version.

The mods shouldn't be distributed as openFormats files.

 

Share this post


Link to post
Share on other sites

Okay, here's what you can do, this fixed it for me.

1. Go into your current Resident.rpf

2. Export your current vehicles.awc as an openFormats file. (.oac)

3. Use this vehicles.oac file (and not the vehicles folder that comes with it) with whatever siren mods you want to install.
(i.e. Replace the vehicles.oac the mod creator gave you.)

4. Profit.

Hope this helps.

Edited by DrDanthrax99

Share this post


Link to post
Share on other sites
12 hours ago, DrDanthrax99 said:

Okay, here's what you can do, this fixed it for me.

1. Go into your current Resident.rpf

2. Export your current vehicles.awc as an openFormats file. (.oac)

3. Use this vehicles.oac file (and not the vehicles folder that comes with it) with whatever siren mods you want to install.
(i.e. Replace the vehicles.oac the mod creator gave you.)

4. Profit.

Hope this helps.

This worked for me too. At least a temp fix for now

Share this post


Link to post
Share on other sites
On 2016-01-03 at 0:01 PM, DrDanthrax99 said:

Okay, here's what you can do, this fixed it for me.

1. Go into your current Resident.rpf

2. Export your current vehicles.awc as an openFormats file. (.oac)

3. Use this vehicles.oac file (and not the vehicles folder that comes with it) with whatever siren mods you want to install.
(i.e. Replace the vehicles.oac the mod creator gave you.)

4. Profit.

Hope this helps.

I tried this because I'm having the same problems but i still got the same error. Anything else I can try?

 

Edit: i found a fix for this.

Edited by MapleMoose
Fixed

Share this post


Link to post
Share on other sites
On 5/1/2016 at 2:34 AM, MapleMoose said:

I tried this because I'm having the same problems but i still got the same error. Anything else I can try?

 

Edit: i found a fix for this.

You said you found a fix?

Can you explain that? I still have the issue :/

(Or an upgraded version of a siren, i am just getting bored of the same default one :/)

Edited by MarcusAstrup

Share this post


Link to post
Share on other sites
On 1/5/2016 at 8:34 PM, MapleMoose said:

I tried this because I'm having the same problems but i still got the same error. Anything else I can try?

 

Edit: i found a fix for this.

Take note that OpenIV upgraded since I posted that, so you may have to do it again.

Also, what fix did you find?

Share this post


Link to post
Share on other sites
5 hours ago, MarcusAstrup said:

You said you found a fix?

Can you explain that? I still have the issue :/

(Or an upgraded version of a siren, i am just getting bored of the same default one :/)

http://www.lcpdfr.com/files/file/7798-gta-5-realistic-american-sirens-new-fbi-and-granger-sirens/?page=6&tab=comments

 

There's a fix there and if you go to the next page someone made a more clear way to do it.

however i will put what he put here. I did not find this so go thank John23 also Kilyin for making it simple

Do this:

Export your current vehicles.awc as openFormats to a blank folder with OpenIV. In that folder, replace all the files in \vehicles with the .wav files from the siren mod you're installing. Now with OpenIV reimport the .oac file from said folder. That should be all you need to do as the latest OpenIV update fixed the issue with importing the sound files.

Edited by MapleMoose
missed something

Share this post


Link to post
Share on other sites

It still says this:


vehicles.oac(Line 1): Not supported format version, actual: "10" but expected "11".
I did everything explained above. Nothing still. I'm trying to install federal signal ss2000 siren.

Share this post


Link to post
Share on other sites
1 hour ago, OfficerTermin8r said:

It still says this:


vehicles.oac(Line 1): Not supported format version, actual: "10" but expected "11".
I did everything explained above. Nothing still. I'm trying to install federal signal ss2000 siren.

1) Make a new folder somewhere on your desktop, name it anything.

2) Move Both the Vehicle folder and vehicle.oac file out of this .rar pack into the folder you just created on the desktop 

3) Open 'OpenIV' and go to your GTA V Directory. 

4) In 'OpenIV', go to the 'x64' folder, then audio > sfx > resident.rpf 

5) Inside Resident.rpf should be 16 .awc files. 

6) Import openformats, navigate to the folder you put the american siren pack 'vehicles' folder and the 'vehicles.oac' in and select the 'Vehicles.oac' 

After that the siren should be installed successfully.

Share this post


Link to post
Share on other sites
1 minute ago, OfficerTermin8r said:

I got it now. Thanks. The Federal Sirens wouldn't work but American Sirens work for me now

No problem.

Share this post


Link to post
Share on other sites
Guest
This topic is now closed to further replies.

×